**Source URL:** https://general.veevavault.dev/commercial/vault-api/api-reference/26.1/binders/binder-sections/retrieve-binder-sections.md

# Retrieve Binder Sections



Retrieve all sections (documents and subsections) in a binder's top-level root node or sub-level node.

<Endpoint path="/api/{version}/objects/binders/{binder_id}/sections/{section_id}" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{section_id}` | Optional: Retrieve all sections (documents and subsections) in a binder's sub-level node. If not included, all sections from the binder's top-level root node will be returned. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/binders/29/sections

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "binder": {
    "nodes": [
      {
        "properties": {
          "document_id__v": 7,
          "name__v": "VeevaProm Information",
          "order__v": 0,
          "type__v": "document",
          "id": "1457556160448:810987462",
          "parent_id__v": "rootNode"
        }
      },
      {
        "properties": {
          "document_id__v": 2,
          "name__v": "VeevaProm Consumer Info",
          "order__v": 300,
          "type__v": "document",
          "id": "1457559259279:-602158059",
          "parent_id__v": "rootNode"
        }
      },
      {
        "properties": {
          "document_id__v": 5,
          "name__v": "VeevaProm Brochure",
          "order__v": 301,
          "type__v": "document",
          "id": "1457556176044:-743019200",
          "parent_id__v": "rootNode"
        }
      },
      {
        "properties": {
          "section_number__v": null,
          "name__v": "First Section Folder",
          "order__v": 401,
          "type__v": "section",
          "id": "1457560333810:-909497856",
          "parent_id__v": "rootNode"
        }
      },
      {
        "properties": {
          "section_number__v": null,
          "name__v": "Second Section Folder",
          "order__v": 501,
          "type__v": "section",
          "id": "1457560348267:1179700878",
          "parent_id__v": "rootNode"
        }
      }
    ]
  }
}

```
</CodeExample>

## Request {#request-1}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/binders/29/sections/1457560348267:1179700878

```
</CodeExample>

## Response {#response-1}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "node": {
    "properties": {
      "section_number__v": null,
      "name__v": "Second Section Folder",
      "order__v": 501,
      "type__v": "section",
      "id": "1457560348267:1179700878",
      "parent_id__v": "rootNode"
    },
    "nodes": [
      {
        "properties": {
          "document_id__v": 24,
          "name__v": "Nyaxa Information Packet",
          "order__v": 0,
          "type__v": "document",
          "id": "1457560406595:-2060980086",
          "parent_id__v": "1457560348267:1179700878"
        }
      },
      {
        "properties": {
          "document_id__v": 23,
          "name__v": "Nyaxa and Your Health",
          "order__v": 100,
          "type__v": "document",
          "id": "1457560409271:-1499449603",
          "parent_id__v": "1457560348267:1179700878"
        }
      },
      {
        "properties": {
          "document_id__v": 25,
          "name__v": "Nyaxa Prescribing Information",
          "order__v": 200,
          "type__v": "document",
          "id": "1457560412997:-1622511549",
          "parent_id__v": "1457560348267:1179700878"
        }
      }
    ]
  }
}

```
</CodeExample>

## Response Details {#response-details}

<FieldTable>
| Field Name | Description |
| --- | --- |
| `nodes [n]` | List of all nodes (documents and sections) at each level in the binder. |
| `properties [n]` | List of all properties associated with each document or section node. |
| `hierarchy__v` | Specifies a single record from the `hierarchy__v` object that has been mapped this binder node. |
| `section_number__v` | Optional number which can be added to each section. |
| `order__v` | Order of the component (document or section) within the binder or within the binder section. Negative order values appear first. For example, an order value of -100 appears before an order value of 0. |
| `type` | Type of node (document or section). |
| `document_id__v` | The document ID of the document in the binder. This is the same as the document's actual document `id` |
| `id` | The document ID or section ID specific to the binder. For documents, this is different from the document's actual document `id`. |
| `parent_id__v` | Section ID of the parent node, e.g., "rootNode". |
| `name__v` | Name of the document or section. For sections, this is the name of the "subfolder" seen in the binder hierarchy in the UI. |
| `major_version_number__v` | If the document binding rule is "specific", this is major version number of the document. |
| `minor_version_number__v` | If the document binding rule is "specific", this is minor version number of the document. |
</FieldTable>

---

**Previous:** [Binder Sections](/commercial/vault-api/api-reference/26.1/binders/binder-sections)  
**Next:** [Retrieve Binder Version Section](/commercial/vault-api/api-reference/26.1/binders/binder-sections/retrieve-binder-version-section)